| xhtml-3000.2.0.1: An XHTML combinator library | Source code | Contents | Index

Text.XHtml.Debug

Description
This module contains functions for displaying HTML as a pretty tree.
Synopsis

data HtmlTree

= HtmlLeaf Html
| HtmlNode Html [HtmlTree] Html

treeHtml :: [String] -> HtmlTree -> Html
treeColors :: [String]
debugHtml :: HTML a => a -> Html

Documentation

data HtmlTree | Source

The basic idea is you render your structure in the form of this tree, and then use treeHtml to turn it into a Html object with the structure explicit.
Constructors

HtmlLeaf Html |
HtmlNode Html [HtmlTree] Html |

Instances

HTML HtmlTree

treeHtml :: [String] -> HtmlTree -> Html | Source

treeColors :: [String] | Source

debugHtml :: HTML a => a -> Html | Source

This uses the above tree rendering function, and displays the Html as a tree structure, allowing debugging of what is actually getting produced.
Produced by Haddock version 2.4.2